package com.sky.ioc.service.notice;

import com.sky.ioc.entity.params.notice.NoticeParam;
import com.sky.ioc.tool.ReturnMsg;

import java.util.List;
import java.util.Map;

public interface NoticeService {


    ReturnMsg listPage(NoticeParam noticeParam);

    ReturnMsg readNotice(List<Integer> ids);

    ReturnMsg delNotice(List<Integer> ids);

    ReturnMsg getNotice(Integer id);

    List<Map<String,Object>> exportData(NoticeParam noticeParam);
}
